Panda3D

Public Member Functions | Static Public Member Functions | List of all members
ColorInterpolationFunctionLinear Class Reference

Defines a linear interpolation over the lifetime of the segment. More...

`#include "colorInterpolationManager.h"`

Inheritance diagram for ColorInterpolationFunctionLinear:

## Public Member Functions
| ColorInterpolationFunctionLinear ()
| default constructor More...
| ColorInterpolationFunctionLinear (const LColor &color_a, const LColor &color_b)
| constructor More...
virtual TypeHandle | force_init_type ()
LColor | get_color_b () const
| Returns the secondary color of the function. More...
virtual TypeHandle | get_type () const
void | set_color_b (const LColor &c)
| Sets the secondary color of the function. More...
Public Member Functions inherited from ColorInterpolationFunctionConstant
| ColorInterpolationFunctionConstant ()
| default constructor More...
| ColorInterpolationFunctionConstant (const LColor &color_a)
| constructor More...
LColor | get_color_a () const
| Returns the primary color of the function. More...
void | set_color_a (const LColor &c)
| Sets the primary color of the function. More...
Public Member Functions inherited from ColorInterpolationFunction
| ColorInterpolationFunction ()
| constructor More...
virtual | ~ColorInterpolationFunction ()
| destructor More...
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from ColorInterpolationFunctionConstant
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from ColorInterpolationFunction
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

Defines a linear interpolation over the lifetime of the segment.

Definition at line 99 of file colorInterpolationManager.h.

## Constructor & Destructor Documentation

## ◆ ColorInterpolationFunctionLinear() [1/2]

ColorInterpolationFunctionLinear::ColorInterpolationFunctionLinear | ( |  | ) |

default constructor

Definition at line 73 of file colorInterpolationManager.cxx.

## ◆ ColorInterpolationFunctionLinear() [2/2]

ColorInterpolationFunctionLinear::ColorInterpolationFunctionLinear | ( | const LColor & | color_a,
|  | const LColor & | color_b
| ) |  |

constructor

Definition at line 82 of file colorInterpolationManager.cxx.

## Member Function Documentation

## ◆ get_color_b()

LColor ColorInterpolationFunctionLinear::get_color_b | ( |  | ) | const
| inline

Returns the secondary color of the function.

Definition at line 37 of file colorInterpolationManager.I.

## ◆ set_color_b()

void ColorInterpolationFunctionLinear::set_color_b | ( | const LColor & | c | ) |
| inline

Sets the secondary color of the function.

Definition at line 46 of file colorInterpolationManager.I.

The documentation for this class was generated from the following files:

- panda/src/particlesystem/colorInterpolationManager.h
- panda/src/particlesystem/colorInterpolationManager.cxx
- panda/src/particlesystem/colorInterpolationManager.I